#!/bin/bash

ROT="\033[1;31m"
GRUEN="\033[1;32m"
BLAU="\033[1;34m"
SCHWARZ="\033[1;30m"
WEISS="\033[0;39m"

SD_DEVICE=sdb
#SOURCE_PATH=~/yocto-exceet/mmcbootloader
SOURCE_PATH=${PWD}/tmp/deploy/images
#U_BOOT_IMAGE=$SOURCE_PATH/u-boot.imx
U_BOOT_IMAGE=$SOURCE_PATH/u-boot.imx-imxceet_mmc
###############################################################################
# Funktionen
###############################################################################
function print_error ()
{
	echo -e "	$ROT$1$WEISS"
	exit -1
}

function print_warning ()
{
	echo -e "	$ROT$1$WEISS"
}

function check_file()
{
	if [ -f $1 ];
	then
		echo "	$2 (Datei $1) gefunden"
	else
		print_error "$2 (Datei $1) nicht gefunden"
	fi
}

function check_blockdevice()
{
	if [ -b $1 ];
	then
		echo "	$2 (Datei $1) gefunden"
	else
		print_error "$2 (Datei $1) nicht gefunden"
	fi
}

###############################################################################
date1=$(date +"%s")

check_file $U_BOOT_IMAGE "U-Boot Bootloader"
check_blockdevice /dev/$SD_DEVICE "SD-Card Partition"

echo -e "kopiere $U_BOOT_IMAGE nach /dev/$SD_DEVICE ..."

dd if=$U_BOOT_IMAGE of=/dev/$SD_DEVICE conv=fsync bs=512 seek=2 


echo -e -n $BLAU

date2=$(date +"%s")
diff=$((date2-$date1))
echo -e "Skriptende! Zeit: $diff Sekunde(n)"
echo -e -n $WEISS




